oracle.kv

## Class StoreIteratorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.kv.StoreIteratorException

- All Implemented Interfaces:
    Serializable

      public class StoreIteratorException
      extends RuntimeException

  Thrown by `KVStore.storeIterator(Direction, int, Key, KeyRange, Depth, Consistency, long, TimeUnit, StoreIteratorConfig)` when an exception occurs. The underlying exception may be retrieved using the `Throwable.getCause()` method. storeIterator results sets are generally retrieved in batches using a specific key for each batch. If an exception occurs during a retrieval, the key used to gather that batch of records is available to the application with the `getKey()` method. This might be useful, for instance, to determine approximately how far an iteration had progressed when the exception occurred. A StoreIteratorException being thrown from `ParallelScanIterator.next()` method does not necessarily close or invalidate the iterator. Repeated calls to next() may or may not cause an exception to be thrown. It is incumbent on the caller to determine the type of exception and act accordingly.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Key` | `getKey()` Returns the key which was used to retrieve the current batch of records in the iteration.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getKey

          public Key getKey()

      Returns the key which was used to retrieve the current batch of records in the iteration. Because batches are generally more than a single record so the key may not be the key of the same record which caused the fault.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.